package edu.uoc.pfc.anonymous.msg;

/**
 * Enumeration on seran declarats tots els missatges informatius que es faran servir a 
 * la classe AnonymousQueries. 
 * 
 * @author Rubn Salvador Gareta
 *
 */
public enum InfoMessages {
	
		// Missatges genrics de la classe que s'encarrega arrencar el servei.
		PROCESS_START("Anonymous Queries System starting..."),
		USER_FOUND("User {} found in the Social Network.");
								 
		private final String value;

	    /**
	     * Mtode constructor.
	     * 
	     * @param value Valor amb el qual ha de ser inicialitzat el enumeration.
	     */
	    private InfoMessages(final String value) {
	        this.value = value;
	    }

	    /**
	     * Mtode utilitzat per a consultar el valor d'alguna de les constants 
	     * de l'enumeration.
	     * 
	     * @return Valor de l'enumerator consultat.
	     */
	    public String getValue() {
	        return this.value;
	    }
}
