package edu.uoc.pfc.profile.xml;

/**
 * Enum on es troben tots els valors dels nodes i atributs dels documents XML 
 * relaccionats amb el fitxer XML de perfil d'usuari. 
 * 
 * @author Rubn Salvador Gareta.
 *
 */
public enum ProfileXMLTags {
	

	// Valors dels nodes
	USER_NODE("User"),
	CERTIFICATE_NODE("Certificate"),
	CONTACTLIST_NODE("ContactList"),
		
	// Valors dels attributs
	ID("id"),
	T("t"),
	TAU("tau"),
	P("p");
	
	
	private final String value;

    /**
     * Mtode constructor.
     * 
     * @param value Valor amb el qual ha de ser inicialitzat el enumeration.
     */
    private ProfileXMLTags(final String value) {
        this.value = value;
    }

    /**
     * Mtode utilitzat per a consultar el valor d'alguna de les constants 
     * de l'enumeration.
     * 
     * @return Valor de l'enumerator consultat.
     */
    public String getValue() {
        return this.value;
    }
}
