package edu.uoc.pfc.profile.xml;

/**
 * Enum on es troben totes les expressions XPath utilitzades per a manipular els 
 * documents XML relaccionats amb les dades de perfil d'usuari. 
 * 
 * @author Rubn Salvador Gareta.
 *
 */
public enum ProfileXPathExpr {
	
	// Expressions XPath
	PROFILE_USER("//User"),
	CERTIFICATE("./Certificate"),
	CONTACT_LIST("./ContactList");
				
	private final String value;

    /**
     * Mtode constructor.
     * 
     * @param value Valor amb el qual ha de ser inicialitzat el enumeration.
     */
    private ProfileXPathExpr(final String value) {
        this.value = value;
    }

    /**
     * Mtode utilitzat per a consultar el valor d'alguna de les constants 
     * de l'enumeration.
     * 
     * @return Valor de l'enumerator consultat.
     */
    public String getValue() {
        return this.value;
    }
}
