package edu.uoc.pfc.search.msg;

/**
 * Enumeration on seran declarats tots els missatges d'error que es faran servir a 
 * la classe Search Generator. 
 * 
 * @author Rubn Salvador Gareta
 *
 */
public enum ErrorMessages {
	
		
		// Missatges informatius
		ERROR_URL_FORMAT("URL format is not correct."),
		ERROR_COMMUNICATION("Data transfered with the search engine is not correct."),
		ERROR_SERVER("Error in server connection.");
				 
		private final String value;

	    /**
	     * Mtode constructor.
	     * 
	     * @param value Valor amb el qual ha de ser inicialitzat el enumeration.
	     */
	    private ErrorMessages(final String value) {
	        this.value = value;
	    }

	    /**
	     * Mtode utilitzat per a consultar el valor d'alguna de les constants 
	     * de l'enumeration.
	     * 
	     * @return Valor de l'enumerator consultat.
	     */
	    public String getValue() {
	        return this.value;
	    }
}
