package edu.uoc.pfc.service.msg;

/**
 * Enumeration on seran declarats tots els missatges d'error que es faran servir a 
 * la classe AnonymousQueriesRemoteImpl. 
 * 
 * @author Rubn Salvador Gareta
 *
 */
public enum ErrorMessages {
	
		
		// Missatges informatius
		ERROR_URL_FORMAT("Service URL format is not correct."),
		ERROR_CONNECTION("Service connection is not possible."),
		ERROR_SEARCH("Connection with search engine is not possible."),
		ERROR_PROFILE("Error saving user profile information in file."),
		ERROR_USER("Query sent from an unknown user.");
				 
		private final String value;

	    /**
	     * Mtode constructor.
	     * 
	     * @param value Valor amb el qual ha de ser inicialitzat el enumeration.
	     */
	    private ErrorMessages(final String value) {
	        this.value = value;
	    }

	    /**
	     * Mtode utilitzat per a consultar el valor d'alguna de les constants 
	     * de l'enumeration.
	     * 
	     * @return Valor de l'enumerator consultat.
	     */
	    public String getValue() {
	        return this.value;
	    }
}
