package edu.uoc.pfc.service.msg;

/**
 * Enumeration on seran declarats tots els missatges informatius que es faran servir a 
 * la classe AnonymousQueriesService. 
 * 
 * @author Rubn Salvador Gareta
 *
 */
public enum InfoMessages {
	
		// Missatges genrics de la classe que s'encarrega de generar la xarxa social.
		SERVICE_CONFIG_START("Anonymous Queries remote service configuration starting..."),
		SERVICE_CONFIG_FINISH("Anonymous Queries remote service ready."),
		SERVICE_ADDRESS("Starting remote service in URL: {} "),
		QUERY_RECEIVED("Sender: {} | Query: {} | Transaction Certificate: {}"),
		QUERY_SENT_SEARCH("Query sent to the search engine."),
		QUERY_SENT_USER("Query sent to User {}");
								 
		private final String value;

	    /**
	     * Mtode constructor.
	     * 
	     * @param value Valor amb el qual ha de ser inicialitzat el enumeration.
	     */
	    private InfoMessages(final String value) {
	        this.value = value;
	    }

	    /**
	     * Mtode utilitzat per a consultar el valor d'alguna de les constants 
	     * de l'enumeration.
	     * 
	     * @return Valor de l'enumerator consultat.
	     */
	    public String getValue() {
	        return this.value;
	    }
}
