package edu.uoc.pfc.service.rmi;

import java.rmi.Remote;
import java.rmi.RemoteException;

/**
 * Interface remota del servei d'enviament de consultes annimes.
 * 
 * @author Rubn Salvador Gareta
 *
 */
public interface AnonymousQueriesRemote extends Remote {
	
	/**
	 * Protocol del servei.
	 */
	public static String PROTOCOL = "rmi://";
	
	/**
	 * Nom del servei.
	 */
	public static String SERVICE = "/AnonymousQueries";

	
	/**
	 * Mtode amb el qual s'envia la petici denviament duna consulta i que retorna 
	 * com a resposta el resultat de lenviament de la consulta al motor de cerca.
	 * 
	 * @param query Consulta que es vol fer al motor de cerca.
	 * @param transCert Certificat de transacci necessari per que l'usuari que realitza 
	 * la cerca quedi autentificat dins de la aplicaci.
	 * @param userSrc Identificador de l'usuari que fa la consulta.
	 * @return Resultat de la cerca en format de cadena de carcters.
	 * @throws RemoteException
	 */
	String getAnswer(String query, String transCert, String userSrc) throws RemoteException;
}
