package edu.uoc.pfc.social.msg;

/**
 * Enumeration on seran declarats tots els missatges informatius que es faran servir a 
 * la classe SocialNetwork. 
 * 
 * @author Rubn Salvador Gareta
 *
 */
public enum InfoMessages {
	
		// Missatges genrics de la classe que s'encarrega de generar la xarxa social.
		SOCIAL_START("DEMO Social Network configuration starting..."),
		SOCIAL_LOADING("Loading users data into DEMO Social Network..."),
		SOCIAL_FINISH("DEMO Social Network configuration finished.");
						 
		private final String value;

	    /**
	     * Mtode constructor.
	     * 
	     * @param value Valor amb el qual ha de ser inicialitzat el enumeration.
	     */
	    private InfoMessages(final String value) {
	        this.value = value;
	    }

	    /**
	     * Mtode utilitzat per a consultar el valor d'alguna de les constants 
	     * de l'enumeration.
	     * 
	     * @return Valor de l'enumerator consultat.
	     */
	    public String getValue() {
	        return this.value;
	    }
}
