package edu.uoc.pfc.social.xml;

/**
 * Enum on es troben totes les expressions XPath utilitzades per a manipular els 
 * documents XML relaccionats amb la configuraci de la xarxa social. 
 * 
 * @author Rubn Salvador Gareta.
 *
 */
public enum SocialNetworkXPathExpr {
	
	// Expressions XPath
	SOCIAL_USER("//SocialNetwork/User"),
	CERTIFICATE("./Certificate"),
	CONTACT_LIST("./ContactList"),
	CONTACT("./Contact");
	
	
	private final String value;

    /**
     * Mtode constructor.
     * 
     * @param value Valor amb el qual ha de ser inicialitzat el enumeration.
     */
    private SocialNetworkXPathExpr(final String value) {
        this.value = value;
    }

    /**
     * Mtode utilitzat per a consultar el valor d'alguna de les constants 
     * de l'enumeration.
     * 
     * @return Valor de l'enumerator consultat.
     */
    public String getValue() {
        return this.value;
    }
}
