package edu.uoc.pfc.submitting.msg;

/**
 * Enumeration on seran declarats tots els missatges d'error que es faran servir a 
 * la classe QuerySubmitingHelper. 
 * 
 * @author Rubn Salvador Gareta
 *
 */
public enum ErrorMessages {
	
		
		// Missatges d'error
		ERROR_CONTACT("User {} is not in the contact list."),
		ERROR_CONTACT_LIST("Contact list is empty.");
				 
		private final String value;

	    /**
	     * Mtode constructor.
	     * 
	     * @param value Valor amb el qual ha de ser inicialitzat el enumeration.
	     */
	    private ErrorMessages(final String value) {
	        this.value = value;
	    }

	    /**
	     * Mtode utilitzat per a consultar el valor d'alguna de les constants 
	     * de l'enumeration.
	     * 
	     * @return Valor de l'enumerator consultat.
	     */
	    public String getValue() {
	        return this.value;
	    }
}
