package edu.uoc.pfc.submitting.msg;

/**
 * Enumeration on seran declarats tots els missatges d'informaci que es faran servir a 
 * la classe QuerySubmitingHelper. 
 * 
 * @author Rubn Salvador Gareta
 *
 */
public enum InfoMessages {
	
		
		// Missatges informatius
		START_PROFILE_EXPOSURE("Starting Profile Exposure Estimation process..."),
		USER_SEND("User selected to send the query: "),
		START_SELFISHNESS_EVAL("Starting Selfishness Evaluation process..."),
		QUERY_ACCEPTED("Query from user {} accepted."),
		QUERY_REJECTED("Query from user {} rejected.");
		 
		private final String value;

	    /**
	     * Mtode constructor.
	     * 
	     * @param value Valor amb el qual ha de ser inicialitzat el enumeration.
	     */
	    private InfoMessages(final String value) {
	        this.value = value;
	    }

	    /**
	     * Mtode utilitzat per a consultar el valor d'alguna de les constants 
	     * de l'enumeration.
	     * 
	     * @return Valor de l'enumerator consultat.
	     */
	    public String getValue() {
	        return this.value;
	    }
}
