
package edu.uoc.pfc.transaction.msg;

/**
 * Enumeration on seran declarats tots els missatges d'error de les excepcions que es puguin produr
 * durant la manipulaci dels certificats o durant la generaci i validaci de les signatures 
 * electrniques del certificat de transacci. 
 * 
 * @author Rubn Salvador Gareta
 *
 */
public enum ErrorMessages {
	
	// Missatges d'error en la classe TransactionCertificate
    ERROR_QUERY_GEN("Query is empty. Transaction Certificate generation is not possible."),
    ERROR_USERDEST("Destination user is empty. Transaction Certificate generation is not possible."),
    ERROR_KEYSTORE("User keystore is not correct. Transaction Certificate generation is not possible."),
    ERROR_SIGNATURE("Transaction Certificate digital signature can not be generated."),
    ERROR_USER("Invalid Transaction Certificate. User does not exist."),
    ERROR_TRANSACTION("Invalid Transaction Certificate. Transaction Certificate does not exist."),
    ERROR_QUERY_VAL("Invalid Transaction Certificate. Query is empty."),
    ERROR_CERTIFICATE("Invalid Transaction Certificate. User certificate does not exist."),
    ERROR_SIG_VALIDATION("Invalid Transaction Certificate. Digital signature can not be validated"),
    ERROR_DATA("Invalid Transaction Certificate. Transaction Certificate data is not correct."),
    ERROR_Q("Invalid Transaction Certificate. Query sent is different to query in Transaction Certificate."),
    ERROR_USER_DST("Invalid Transaction Certificate. Destination user is different to destination user in Transaction Certificate."),
    ERROR_USER_SRC("Invalid Transaction Certificate. Source user is different to source user in Transaction Certificate."),
    ERROR_TIMESTAMP("Invalid Transaction Certificate. Timestamp in Transaction Certificate is not correct.");

    private final String value;

    /**
     * Mtode constructor.
     * 
     * @param value Valor amb el qual ha de ser inicialitzat el enumeration.
     */
    private ErrorMessages(final String value) {
        this.value = value;
    }

    /**
     * Mtode utilitzat per a consultar el valor d'alguna de les constants 
     * de l'enumeration.
     * 
     * @return Valor de l'enumerator consultat.
     */
    public String getValue() {
        return this.value;
    }

}
