
package edu.uoc.pfc.transaction.msg;

/**
 * Enumeration on seran declarats tots els missatges d'informaci que es faran servir a 
 * la classe TransactionCertificate. 
 * 
 * @author Rubn Salvador Gareta
 *
 */
public enum InfoMessages {
	
	// Missatges informatius
	START_TRANS_CERT_GEN("Starting Transaction Certificate generation process..."),
	TRANS_CERT("Transaction Certificate generated: "),
	OK_SIGNATURE("Transaction Certificate digital signature generated: "),
	START_TRANS_CERT_VAL("Starting Transaction Certificate validation process..."),
	OK_VALIDATION("Transaction Certificate validated.");
	 
	private final String value;

    /**
     * Mtode constructor.
     * 
     * @param value Valor amb el qual ha de ser inicialitzat el enumeration.
     */
    private InfoMessages(final String value) {
        this.value = value;
    }

    /**
     * Mtode utilitzat per a consultar el valor d'alguna de les constants 
     * de l'enumeration.
     * 
     * @return Valor de l'enumerator consultat.
     */
    public String getValue() {
        return this.value;
    }

}
