package edu.uoc.pfc.user.test;

import static org.junit.Assert.*;

import java.util.ArrayList;
import java.util.List;

import org.junit.BeforeClass;
import org.junit.Test;

import edu.uoc.pfc.user.data.User;
import edu.uoc.pfc.user.data.UserList;
import edu.uoc.pfc.user.data.UserSorter;

public class UserSorterTest {
	
	private static User user1;
	private static User user2;
	private static User user3;
	private static User user4;
	private static User user5;
	
	@BeforeClass
	public static void setUpBeforeClass() throws Exception {
		// Creaci dels usuaris
		user1 = new User();
		user1.setUserId("user1");
		user1.setTau(1);
		user1.setT(1);
		user1.setP(0.1);
					
		user2 = new User();
		user2.setUserId("user2");
		user2.setTau(2);
		user2.setT(2);
		user2.setP(0.2);
			
		user3 = new User();
		user3.setUserId("user3");
		user3.setTau(3);
		user3.setT(3);
		user3.setP(0.3);
			
		user4 = new User();
		user4.setUserId("user4");
		user4.setTau(4);
		user4.setT(4);
		user4.setP(0.4);
			
		user5 = new User();
		user5.setUserId("user5");
		user5.setTau(5);
		user5.setT(5);
		user5.setP(0.5);
		
	}

	@Test
	public void testAscSortOK() {
		// Inicialitzaci de la llista d'usuaris.
		UserList userList = new UserList();
		userList.add(user1.getUserId(), user1);
		userList.add(user5.getUserId(), user5);
		userList.add(user2.getUserId(), user2);
		userList.add(user4.getUserId(), user4);
		userList.add(user3.getUserId(), user3);
		List<User> list = userList.getSortedList();
		
		// Ordenaci de la llista en ordre ascendent
		UserSorter sorter = new UserSorter();
		sorter.ascSort(list);
		
		// Comprovacions
		assertEquals("Check correct position: ", user1, list.get(0));
		assertEquals("Check correct position: ", user2, list.get(1));
		assertEquals("Check correct position: ", user3, list.get(2));
		assertEquals("Check correct position: ", user4, list.get(3));
		assertEquals("Check correct position: ", user5, list.get(4));
		
	}
	
	@Test
	public void testAscSortEmptyList() {
		// Inicialitzaci de la llista d'usuaris.
		List<User> userList = new ArrayList<User>();
				
		// Ordenaci de la llista en ordre ascendent
		UserSorter sorter = new UserSorter();
		sorter.ascSort(userList);
		
		// Comprovacions
		assertTrue("Check empty list: ", (userList.size() == 0));				
	}
	
	@Test
	public void testDescSortOK() {
		UserList userList = new UserList();
		userList.add(user1.getUserId(), user1);
		userList.add(user5.getUserId(), user5);
		userList.add(user2.getUserId(), user2);
		userList.add(user4.getUserId(), user4);
		userList.add(user3.getUserId(), user3);
		List<User> list = userList.getSortedList();
		
		// Ordenaci de la llista en ordre descendent
		UserSorter sorter = new UserSorter();
		sorter.descSort(list);
		
		// Comprovacions
		assertEquals("Check correct position: ", user5, list.get(0));
		assertEquals("Check correct position: ", user4, list.get(1));
		assertEquals("Check correct position: ", user3, list.get(2));
		assertEquals("Check correct position: ", user2, list.get(3));
		assertEquals("Check correct position: ", user1, list.get(4));	
		
	}
	
	@Test
	public void testDescSortEmptyList() {
		// Inicialitzaci de la llista d'usuaris.
		List<User> userList = new ArrayList<User>();
				
		// Ordenaci de la llista en ordre ascendent
		UserSorter sorter = new UserSorter();
		sorter.descSort(userList);
		
		// Comprovacions
		assertTrue("Check empty list: ", (userList.size() == 0));				
	}

}
