package edu.uoc.pfc.anonymous.msg;

/**
 * Enumeration on seran declarats tots els missatges d'error que es faran servir a 
 * la classe AnonymousQueries. 
 * 
 * @author Rubn Salvador Gareta
 *
 */
public enum ErrorMessages {
	
		// Missatges genrics de la classe que s'encarrega d'arrrencar el servei de consultes annimes.
		USER_NOT_FOUND("User not found in the social network."),
		ERROR_INPUT("Input files have incorrect data or format."),
		ERROR_HOST("Error getting the local IP address."),
		ERROR_SOCIAL("Connection with the social network is not possible."),
		SOCIAL_NOT_AVAILABLE("Social network {} is not available in this implementation."),
		ERROR_SOCIAL_PARAMETERS("Social network {} requires {} command line parameters."),
		ERROR_PROFILE("Error getting the user profile."),
		ERROR_SERVICE("Error stating Anonymous Queries remote service."),
		ERROR_QUERY_RESULT("Error getting query result."),
		USAGE_SERVICE("Usage: StartAnonymousQueriesService /n <social network type> /s <security properties file absolute path> /p <connection port> [/d <database properties file absolute path>]"),
		USAGE_CLIENT("Usage: StartAnonymousQueriesClient /d <database properties file absolute path> /s <security properties file absolute path> /p <connection port> /q <query to send>");
						 
		private final String value;

	    /**
	     * Mtode constructor.
	     * 
	     * @param value Valor amb el qual ha de ser inicialitzat el enumeration.
	     */
	    private ErrorMessages(final String value) {
	        this.value = value;
	    }

	    /**
	     * Mtode utilitzat per a consultar el valor d'alguna de les constants 
	     * de l'enumeration.
	     * 
	     * @return Valor de l'enumerator consultat.
	     */
	    public String getValue() {
	        return this.value;
	    }
}
