package edu.uoc.pfc.commons.security;

/**
 * Enumeration on seran declarats tots els noms de les propietats del fitxer on es fa
 * referncia al certificat de l'usuari amb el qual s'ha de generar la signatura del 
 * certificat de transacci. 
 * 
 * @author Rubn Salvador Gareta
 *
 */
public enum SecurityProperties {
	
		// Propietats de seguretat
		KEYSTORE("keystore"), ALIAS("alias"), PASSWORD("password"); 

	    private final String value;

	    /**
	     * Mtode constructor.
	     * 
	     * @param value Valor amb el qual ha de ser inicialitzat el enumeration.
	     */
	    private SecurityProperties(final String value) {
	        this.value = value;
	    }

	    /**
	     * Mtode utilitzat per a consultar el valor d'alguna de les constants 
	     * de l'enumeration.
	     * 
	     * @return Valor de l'enumerator consultat.
	     */
	    public String getValue() {
	        return this.value;
	    }

}
