package edu.uoc.pfc.commons.security.exception;

/**
 * Excepci que ser llenada quan es produeixi algun error en la manipulaci de certificats. 
 * 
 * @author Rubn Salvador Gareta
 *
 */
public class CertificateHelperException extends Exception{
		
	
	private static final long serialVersionUID = -2855837118678123566L;

	/**
	 * Mtode constructor que crea una nova excepci sense cap missatge de detall de l'error.
	 */
	public CertificateHelperException(){
		super();
	}
		
	/**
	 * Mtode constructor que especifica la causa que ha produt la excepci.
	 * 
	 * @param cause Causa que ha produt la excepci.
	 */
	public CertificateHelperException(Throwable cause){
		super(cause);
	}

	/**
	 * Mtode constructor que especifica el detall per el qual s'ha produt la excepci.
	 * 
	 * @param msg Detall del motiuu per el qual s'ha produt la excepci.
	 */
	public CertificateHelperException(String msg){
		super(msg);
	}

	/**
	 * Mtode constructor que especifica el detall i la causa per els quals s'ha produt 
	 * la excepci.
	 * 
	 * @param msg Detall del motiuu per el qual s'ha produt la excepci
	 * @param cause Causa que ha produt la excepci
	 */
	public CertificateHelperException(String msg,Throwable cause){
		super(msg,cause);
	}

}
