package edu.uoc.pfc.profile.msg;

/**
 * Enumeration on seran declarats tots els missatges d'error que es faran servir a 
 * la classe SocialNetwork. 
 * 
 * @author Rubn Salvador Gareta
 *
 */
public enum ErrorMessages {
	
		// Missatges genrics de la classe que s'encarrega de generar la xarxa social.
		ERROR_XML_PROFILE("Error generating XML document from user profile data."),
		ERROR_SEARCH_ELEMENT("Error searching an element in the XML document."),
		ERROR_XML_CONFIG("Error in XML parser configuration."),
		ERROR_KEYSTORE("Error getting user KeyStore.");
				 
		private final String value;

	    /**
	     * Mtode constructor.
	     * 
	     * @param value Valor amb el qual ha de ser inicialitzat el enumeration.
	     */
	    private ErrorMessages(final String value) {
	        this.value = value;
	    }

	    /**
	     * Mtode utilitzat per a consultar el valor d'alguna de les constants 
	     * de l'enumeration.
	     * 
	     * @return Valor de l'enumerator consultat.
	     */
	    public String getValue() {
	        return this.value;
	    }
}
