package edu.uoc.pfc.social.db;

/**
 * Enumeration on seran declarats tots els noms de les propietats del fitxer on es fa
 * referncia a les propietats de connexi amb la base de dades.
 * 
 * @author Rubn Salvador Gareta
 *
 */
public enum DatabaseProperties {
	
		// Propietats de la base de dades
		DRIVER("jdbc.driverClassName"), 
		URL("jdbc.url"), 
		USERNAME("jdbc.username"), 
		PASSWORD("jdbc.password") ; 

	    private final String value;

	    /**
	     * Mtode constructor.
	     * 
	     * @param value Valor amb el qual ha de ser inicialitzat el enumeration.
	     */
	    private DatabaseProperties(final String value) {
	        this.value = value;
	    }

	    /**
	     * Mtode utilitzat per a consultar el valor d'alguna de les constants 
	     * de l'enumeration.
	     * 
	     * @return Valor de l'enumerator consultat.
	     */
	    public String getValue() {
	        return this.value;
	    }

}
