package edu.uoc.pfc.social.exception;

/**
 * Excepci que ser llenada quan es produeixi algun error en la connexi amb la 
 * base de dades de la xarxa soacial. 
 * 
 * @author Rubn Salvador Gareta
 *
 */
public class DatabaseException extends Exception{
		

	private static final long serialVersionUID = -8522028714770521014L;

	/**
	 * Mtode constructor que crea una nova excepci sense cap missatge de detall 
	 * de l'error.
	 */
	public DatabaseException(){
		super();
	}
	
	/**
	 * Mtode constructor que especifica la causa que ha produt la excepci.
	 * 
	 * @param cause Causa que ha produt la excepci.
	 */
	public DatabaseException(Throwable cause){
		super(cause);
	}

	/**
	 * Mtode constructor que especifica el detall per el qual s'ha produt la 
	 * excepci.
	 * 
	 * @param msg Detall del motiuu per el qual s'ha produt la excepci.
	 */
	public DatabaseException(String msg){
		super(msg);
	}

	/**
	 * Mtode constructor que especifica el detall i la causa per els quals 
	 * s'ha produt la excepci.
	 * 
	 * @param msg Detall del motiuu per el qual s'ha produt la excepci
	 * @param cause Causa que ha produt la excepci
	 */
	public DatabaseException(String msg,Throwable cause){
		super(msg,cause);
	}

}
