package edu.uoc.pfc.social.exception;

/**
 * Excepci que ser llenada quan es produeixi algun error en la inicialitzaci de la xarxa
 * social. 
 * 
 * @author Rubn Salvador Gareta
 *
 */
public class SocialNetworkException extends Exception{
		

	private static final long serialVersionUID = 4118670591635157734L;

	/**
	 * Mtode constructor que crea una nova excepci sense cap missatge de detall 
	 * de l'error.
	 */
	public SocialNetworkException(){
		super();
	}
	
	/**
	 * Mtode constructor que especifica la causa que ha produt la excepci.
	 * 
	 * @param cause Causa que ha produt la excepci.
	 */
	public SocialNetworkException(Throwable cause){
		super(cause);
	}

	/**
	 * Mtode constructor que especifica el detall per el qual s'ha produt la 
	 * excepci.
	 * 
	 * @param msg Detall del motiuu per el qual s'ha produt la excepci.
	 */
	public SocialNetworkException(String msg){
		super(msg);
	}

	/**
	 * Mtode constructor que especifica el detall i la causa per els quals 
	 * s'ha produt la excepci.
	 * 
	 * @param msg Detall del motiuu per el qual s'ha produt la excepci
	 * @param cause Causa que ha produt la excepci
	 */
	public SocialNetworkException(String msg,Throwable cause){
		super(msg,cause);
	}

}
