package edu.uoc.pfc.user.data;

import java.util.Collections;
import java.util.Comparator;
import java.util.List;


/**
 * Classe encarregada d'ordenar una llista d'usuaris.
 * 
 * @author Rubn Salvador Gareta
 *
 */
public class UserSorter {
	
	/**
	 * Mtode constructor.
	 */
	public UserSorter(){
		
	}
	
	/**
	 * Mtode encarregat d'ordenar de forma ascendent segons el criteri
	 * d'ordenaci del comparador dels objectes User.
	 *  
	 * @param userList Llista d'usuaris.
	 */
	public void ascSort(List<User> userList){
		if(userList != null){
			UserComparator comp = new UserComparator();
			Collections.sort(userList, comp);
		}
	}
	
	/**
	 * Mtode encarregat d'ordenar de forma descendent segons el criteri
	 * d'ordenaci del comparador dels objectes User.
	 *  
	 * @param userList Llista d'usuaris.
	 */
	public void descSort(List<User> userList){
		if(userList != null){
			UserComparator comp = new UserComparator();
			Comparator<User> reverseComp = Collections.reverseOrder(comp);
			Collections.sort(userList, reverseComp);
		}
	}

}
